@echo off
REM 
REM
REM Usage: 
REM  runTableScripts_patch1401.bat
REM
REM Function:
REM  This script is used to create Database tables for IIC Model Aware Server Adapter 
REM 
REM Return Codes:  0 for success
REM 
REM Author: Jing Fan, fanjbj@cn.ibm.com
REM --------------------------------------------------------------------------

setlocal
set PPBDDLPath=@PPBDDLPath@


%~d0
cd %~p0


echo Updating PPB data with ppbParameterLoad.ddl
db2 -tf %PPBDDLPath%
if %ERRORLEVEL% gtr 2 goto END

if not %ERRORLEVEL%==0 (
    goto PRINT_USAGE
) else (
    echo Successfully Updated PPB Data. 
    goto END 
)

:PRINT_USAGE

REM Print usage messages
echo.
echo ================================================================
echo Usage: runTableScripts_patch1401.bat
echo ================================================================

goto END

:END

endlocal
