@echo off
setlocal

REM ************************************************
REM         User Defined Variables
REM ************************************************

REM SID name for IIC1.4
SET SID=IICDB

REM Password used for all users created by IIC1.4 database scripts
SET USER_PWD=admin

REM ************************************************
REM         Main
REM ************************************************

set TABLE_SCRIPTS_ROOT=%~dp0
set CURRENT_DRIVE=%~d0
SET LOG_FILE="%TABLE_SCRIPTS_ROOT%output.log"

REM New requirement: PPBParametersOutRedZone.txt has changed
REM ppbParameterLoad
set TASK_DESC=Loading PPB Parameters...
echo %TASK_DESC% | echo %TASK_DESC% >> %LOG_FILE%
set CALL_STRING=sqlldr PPB/%USER_PWD%@%SID% control="%TABLE_SCRIPTS_ROOT%IIFDB\Parameters\ppbParameterLoad.ctl"
echo %CALL_STRING% | echo %CALL_STRING% >> %LOG_FILE%
%CURRENT_DRIVE%
cd %TABLE_SCRIPTS_ROOT%IIFDB\Parameters
call %CALL_STRING% >> %LOG_FILE%

